summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2019-12-01 18:35:39 +0100
committerTupone Alfredo <tupone@gentoo.org>2019-12-01 18:35:39 +0100
commited28a08c44b7e0d4cd6a8ab3c662549a4ffafc40 (patch)
treed6c60ac3aeff53aadd1a68347498de5ea0b46f99
parentprofiles/sparc: Move USE=asm mask for openssl up a level (diff)
downloadgentoo-ed28a08c44b7e0d4cd6a8ab3c662549a4ffafc40.tar.gz
gentoo-ed28a08c44b7e0d4cd6a8ab3c662549a4ffafc40.tar.bz2
gentoo-ed28a08c44b7e0d4cd6a8ab3c662549a4ffafc40.zip
dev-lang/spark: version bump
Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Alfredo Tupone <tupone@gentoo.org>
-rw-r--r--dev-lang/spark/Manifest2
-rw-r--r--dev-lang/spark/files/spark-2019-gentoo.patch23
-rw-r--r--dev-lang/spark/spark-2019.ebuild67
3 files changed, 92 insertions, 0 deletions
diff --git a/dev-lang/spark/Manifest b/dev-lang/spark/Manifest
index 8b779205964..ae89247fb3a 100644
--- a/dev-lang/spark/Manifest
+++ b/dev-lang/spark/Manifest
@@ -1,2 +1,4 @@
+DIST gnat-2019-20190517-18C94-src.tar.gz 8950160 BLAKE2B ce6b8ca0687b3d345db72a8b3216e67ba706cfd7f6ca98f45ec2ae356d9c5b3a42a4b3aac5e89285871157ddaca3aff1b970934de88f8190d84aff060bf1fc4b SHA512 4d57c97fc1f3d5274e0c4ffa536ec056e7c3f1619010affff008cd07a0bfa638d18fee1705a5dd76f12d168baef85677cc34ef40f5e52fd5292ac886c0d4c5ee
DIST gnat-gpl-2018-src.tar.gz 8706578 BLAKE2B ba245fd91cc5263d5b8c159d9e75caf6bed21dcaa5fa43734af8775a4008ce5f96bfb84a8b5e6e734ff883314ab3219dacec3fe95a5baa33fb712bfb5ff8bce8 SHA512 0ff7e848ef77f7e772e2a1b01905307a91c332f32329456f5238c4b7eb46cc118709e8682a5fc826d98a7d99fd15a92c194f4a278f04bc465165cfa616cc3c2e
+DIST spark-2019-20190517-19665-src.tar.gz 22778220 BLAKE2B b0e2141c4b8aa603ee51fe984654c502d214cc5461cf7afba90926b4f3393772bc755a4ec8ef307496f5c052d3c478312f987b79d8b31bec3e9dba962cedd419 SHA512 9ee15e1ae80720a0295ec8a59e1b414f82a4044ebd47f81f8daea7a155720bb151714d9e9c2830612f5530d906f6c393e84ffde16982afef547f1c8edc27e97a
DIST spark-gpl-2018-src.tar.gz 20244517 BLAKE2B efb8120a869eaf79aa513ea3b3393dcefdb548e66a00a630bfb9d28a59785c15362c111df3635423a7312c491c9929a7bcd8e7161607dc4d3acd6d1c27f3ca3e SHA512 83490a95c2d6401bcd077a8ec508eaf18609b5b480ccd9f247f4bb61164b5e52e34473526cd49ebdf5fd15ac422ed4a121dc50cab96241db02af9e32812a4df8
diff --git a/dev-lang/spark/files/spark-2019-gentoo.patch b/dev-lang/spark/files/spark-2019-gentoo.patch
new file mode 100644
index 00000000000..d940471dfcf
--- /dev/null
+++ b/dev-lang/spark/files/spark-2019-gentoo.patch
@@ -0,0 +1,23 @@
+--- a/gnat2why/gnat2why_c.gpr 2017-10-04 21:41:41.613376056 +0200
++++ b/gnat2why/gnat2why_c.gpr 2017-10-04 21:42:30.582572536 +0200
+@@ -1,4 +1,7 @@
+ project Gnat2Why_C is
+ for Languages use ("C");
+ for Object_Dir use "obj";
++ package Compiler is
++ for Driver ("C") use External ("CC", "gcc");
++ end Compiler;
+ end Gnat2Why_C;
+--- a/gnatprove/configuration.adb 2019-11-28 08:13:36.857402405 +0100
++++ b/gnatprove/configuration.adb 2019-11-28 08:14:23.777570096 +0100
+@@ -1161,7 +1161,9 @@
+
+ end if;
+
+- Set_Path_From_Gnatls (Proj_Env.all, "gnatls", GNAT_Version);
++ Set_Path_From_Gnatls (Proj_Env.all,
++ "gnatls",
++ GNAT_Version);
+ Free (GNAT_Version);
+ Set_Object_Subdir (Proj_Env.all,
+ Filesystem_String
diff --git a/dev-lang/spark/spark-2019.ebuild b/dev-lang/spark/spark-2019.ebuild
new file mode 100644
index 00000000000..0a0f4fd0550
--- /dev/null
+++ b/dev-lang/spark/spark-2019.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ADA_COMPAT=( gnat_2019 )
+PYTHON_COMPAT=( python2_7 )
+
+inherit ada python-any-r1 toolchain-funcs multiprocessing
+
+DESCRIPTION="Software development for high-reliability applications."
+HOMEPAGE="http://libre.adacore.com"
+SRC_URI="http://mirrors.cdn.adacore.com/art/5cdf912431e87a8f1c967d51
+ -> ${P}-20190517-19665-src.tar.gz
+ http://mirrors.cdn.adacore.com/art/5cdf865331e87aa2cdf16b49
+ -> gnat-2019-20190517-18C94-src.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ dev-ada/gnatcoll-core[${ADA_USEDEP},shared]
+ sci-mathematics/alt-ergo
+ sci-mathematics/why3-for-spark"
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ dev-ada/gprbuild[${ADA_USEDEP}]"
+
+REQUIRED_USE="${ADA_REQUIRED_USE}"
+
+S="${WORKDIR}"/${P}-2019-20190517-19665-src
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+pkg_setup() {
+ ada_pkg_setup
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ ln -sf "${WORKDIR}"/gnat-2019-20190517-18C94-src/src/ada gnat2why/gnat_src || die
+ default
+ sed -i \
+ -e "s:gnatls:${GNATLS}:g" \
+ gnatprove/configuration.adb || die
+}
+
+src_compile() {
+ emake -C gnat2why GPRARGS="-XLIBRARY_TYPE=relocatable -v"
+ emake -C gnatprove PROD="-XLIBRARY_TYPE=relocatable -v"
+}
+
+src_install() {
+ emake INSTALLDIR="${D}"/usr install
+ einstalldocs
+ dosym ../../../lib64/why3/why3server /usr/libexec/spark/bin/why3server
+ dobin install/bin/gnatprove
+ mv install/share/doc/spark/* "${D}"/usr/share/doc/${PF} || die
+ exeinto /usr/libexec/spark/bin
+ doexe install/bin/gnat2why
+ doexe install/bin/spark_memcached_wrapper
+ doexe install/bin/spark_report
+ doexe install/bin/spark_codepeer_wrapper
+ mv "${D}"/usr/bin/target.atp "${D}"/usr/libexec/spark/bin || die
+}